<app-bucket-add 
    *ngIf="store.bucketAddEnabled">
</app-bucket-add>  

<div class="card">
    <div class="card-body">
        <div class="d-flex justify-content-between align-items-center mb-4">
            <div style="font-size: 14px;">All Buckets ({{ store.buckets.length }})</div>
            <div>
                <button class="btn btn-primary" 
                        (click)="onCreateNewButtonClick()" 
                        *ngIf="! store.bucketAddEnabled">
                        Create New Bucket
                </button>
            </div>
        </div>
        <div class="table-responsive" style="border: 1px solid #ededed" *ngIf="store.buckets.length > 0">
            <table class="table mb-0">
                <thead class="thead-light">
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Location</th>
                  </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let bucketEl of store.buckets; let i = index" 
                        [routerLink]="['/buckets', i]" 
                        routerLinkActive="active">
                        <td>{{ bucketEl.name }}</td>
                        <td>{{ bucketEl.location.name }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

  
  